Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 821858 - [eap6] JAXR subsystem has wrong resource configuration exposed
Summary: [eap6] JAXR subsystem has wrong resource configuration exposed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Plugins
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
unspecified vote
Target Milestone: ---
: JON 3.1.0
Assignee: Stefan Negrea
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On: 817805
Blocks: as7-plugin
TreeView+ depends on / blocked
 
Reported: 2012-05-15 15:21 UTC by Stefan Negrea
Modified: 2013-09-03 15:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 817805
Environment:
Last Closed: 2013-09-03 15:18:39 UTC


Attachments (Terms of Use)

Description Stefan Negrea 2012-05-15 15:21:08 UTC
+++ This bug was initially created as a clone of Bug #817805 +++

The JAXR subsystem has outdated resource configuration exposed. The current configuration has a different set of properties and no children. This is due to changes the API between ER versions (from the time the subsystem was initially added to ER6).

The current set of properties: 
<c:simple-property name="connection-factory" required="false" type="string" readOnly="false" description="The JNDI name for the ConnectionFactory"/>
<c:simple-property name="publish-url" required="false" type="string" readOnly="false" description="The jUDDI server publish URL"/>
<c:simple-property name="query-url" required="false" type="string" readOnly="false" description="The jUDDI server query URL"/>

No subresources available in the plugin.


From the EAP cli:
[standalone@localhost:9999 subsystem=jaxr] pwd
/subsystem=jaxr

[standalone@localhost:9999 subsystem=jaxr] :read-resource-description
"attributes" => {
  "jndi-name" => {
     "type" => STRING,
     "description" => "The JNDI name under which the JAXR ConnectionFactory is bound",
     "expressions-allowed" => false,
     "nillable" => true,
     "min-length" => 1L,
     "max-length" => 2147483647L,
     "access-type" => "read-write",
     "storage" => "configuration",
     "restart-required" => "no-services"
   },
   "class" => {
     "type" => STRING,
     "description" => "The JAXR ConnectionFactory implementation class",
     "expressions-allowed" => false,
     "nillable" => true,
     "min-length" => 1L,
     "max-length" => 2147483647L,
     "access-type" => "read-write",
     "storage" => "configuration",
     "restart-required" => "no-services"
   }
}

"children" => {"property" => {
    "description" => "A JAXR property. The identity of the resource defines the property name.",
    "model-description" => undefined
}

--- Additional comment from hrupp@redhat.com on 2012-05-02 08:56:50 EDT ---

Not exposed in console

Comment 1 Stefan Negrea 2012-05-15 15:22:04 UTC
release/jon3.1.x branch commit:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=69adc6d33efe4425e22d66e424e3d69ebf49584c

Comment 2 Armine Hovsepyan 2012-07-26 13:10:41 UTC
verified.

Jaxr without child subsystems is visible. jaxr property with class and jndi-name is visible .
Jon.3.1.0 EAP6 ER6

Comment 3 Heiko W. Rupp 2013-09-03 15:18:39 UTC
Bulk closing of old issues in VERIFIED state.


Note You need to log in before you can comment on or make changes to this bug.